Loading...
Searching...
No Matches
gr::messages::msg_accepter_msgq Class Reference

Concrete class that accepts messages and inserts them into a message queue. More...

`#include <gnuradio/messages/msg_accepter_msgq.h>`

## Public Member Functions

| msg_accepter_msgq (msg_queue_sptr msgq)
virtual | ~msg_accepter_msgq ()
virtual void | post (pmt::pmt_t msg)
msg_queue_sptr | msg_queue () const

## Protected Attributes

msg_queue_sptr | d_msg_queue

## Detailed Description

Concrete class that accepts messages and inserts them into a message queue.

## Constructor & Destructor Documentation

## msg_accepter_msgq()

gr::messages::msg_accepter_msgq::msg_accepter_msgq | ( | msg_queue_sptr | msgq | ) |

## ~msg_accepter_msgq()

virtual gr::messages::msg_accepter_msgq::~msg_accepter_msgq | ( |  | ) |

virtual

## Member Function Documentation

## msg_queue()

msg_queue_sptr gr::messages::msg_accepter_msgq::msg_queue | ( |  | ) | const

inline

## post()

virtual void gr::messages::msg_accepter_msgq::post | ( | pmt::pmt_t | msg | ) |

virtual

## Member Data Documentation

## d_msg_queue

msg_queue_sptr gr::messages::msg_accepter_msgq::d_msg_queue

protected

The documentation for this class was generated from the following file:

- msg_accepter_msgq.h